Emmabuntüs Forum

  Accueil -  Tutoriels -  Téléchargements -  Vidéos -  Interviews -  Qui sommes-nous -  Nous contacter -  Soutenir


Dépôt backports et multimedia

Invité · 13 · 569

0 Membres et 1 Invité sur ce sujet

zorzi

  • Invité
Salut Patrick,

En regardant un peu sous le capot d'Emmabuntüs, je constate que celle-ci embarque pas mal de paquets (dits "obsolètes") issus des dépôts Debian backports et du dépôt multimédia (flashplayer). Or ces dépôts ne sont pas présents dans le sources.list...

Que préconises-tu à ce sujet ?

L'absence de mises-à-jour n'est-elle pas un problème ? Ne faudrait-il pas ajouter ces dépôts (avec un épinglage apt pour les paquets concernés afin d'éviter tout chamboulement du système) ?

Merci.

Bien à toi.


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 612
    • Voir le profil
    • Emmabuntüs The distribution sleek, accessible, equitable
Salut Zorzi,

Oui nous avons dans Emmabuntüs des paquets obsolètes et effectivement, il y a un certains nombres, mais je n'ai pas d'autres solutions.

Peux-tu déjà dire de quelle version Emmabuntüs tu parles ?

Peux-tu me dire ce que tu entends par "ajouter ces dépôts avec un épinglage apt pour les paquets concernés" ? car je ne connais pas cela, d’où le fait que je n'ai pas mis ces dépôts pour ne pas mettre le chamboulement dans la distro ;)

Par avance merci pour tes conseils.

Bien à toi.


zorzi

  • Invité
Salut Patrick,

J'utilise l'actuelle Emmabuntüs stable DE2.

Parmi les paquets obsolètes, certains semblent issus d'Ubuntu ou de ppa (bootrepair par exemple). Mais l'utilisation des ppa étant déconseillés avec Debian, je comprends qu'il soit difficile de faire autrement que de les adjoindre sans leurs dépôts.

Concernant les backports de Debian, seuls les paquets installés à partir de ce dépôt seront ensuite mis à jour. Les backports ne prennent jamais la priorité sur les les dépôts stable (sauf pour les paquets ayant été installés depuis ces backports).
Sauf dans un souci de stabilité du système, je ne comprends pas l'absence de ce dépôt dans le sources.list. Peut-être pourrait-il a minima figurer dans le sources.list, mais désactivé par défaut (avec un # devant).

Pour le dépôt multimédia, c'est plus délicat puisqu'il y a un risque que ses paquets remplacent ceux de stable. Donc je crée habituellement une règle de priorité (et pas d'épinglage, désolé...) pour que seuls les paquets installés depuis ce dépôt soient ensuite mis à jour (voir ci-dessous):
https://debian-facile.org/doc:systeme:apt:sources.list:depots-tiers#deb-multimedia

Avec une règle d'épinglage, cela permettrait de recevoir les màj de Flash (je crois qu'il n'y a que ce paquet en provenance de ce dépôt dans l'Emmabuntüs).

Je poursuis mes réflexions, et on en reparle au besoin.

Bien à toi.
« Modifié: avril 23, 2019, 09:14:50 am par zorzi »


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 612
    • Voir le profil
    • Emmabuntüs The distribution sleek, accessible, equitable
Salut Zorzi,

Il ne me semble pas que nous ayons des paquets provenant de backports, mais je peux me tromper.

Pour les paquets comme bootrepair, leur utilisation est minime car ils ne servent pas tous les jours et pour des cas très précis.

Dans le dépôt multimédia, nous n'avons besoin que du flash, et je ne sais pas si cela n'interférera avec d'autres paquets de rajouter ce dépôt avec les règles de priorité.

Bien à toi, et bonne journée.


zorzi

  • Invité

Dans le dépôt multimédia, nous n'avons besoin que du flash, et je ne sais pas si cela n'interférera avec d'autres paquets de rajouter ce dépôt avec les règles de priorité.

Bien à toi, et bonne journée.

Salut Patrick,

En principe, avec la règle de priorité donnée sur site de DF, seuls les paquets originaires du dépôt multimédia seront ensuite mis à jour (Un peu comme les backports). Vivement 2020 et la fin de Flash...
Bonne journée.


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 612
    • Voir le profil
    • Emmabuntüs The distribution sleek, accessible, equitable
Salut Zorzi,

Je vais regarder cela.

As-tu essayé de créer ce fichier de priorité et de faire la mise à jour pour voir comment cela se comporte avec le paquet flash et surtout avec les autres paquets du dépôt multimédia ?

Bien à toi, et bonne journée.


zorzi

  • Invité
Salut Patrick,

Je fonctionnais bien avec ce fichier de préférences sur mon ancienne Debian.

J'ai mis en place le même paramétrage sur ma Emmabuntüs DE2 1.04 de test: Ajout du dépôt multimédia, création du fichier préférences, puis ajout de la clé du dépôt. Et je te confirme que je n'ai aucune mise à jour indésirable en provenance du dépôt multimédia.

Pour info, la Linux Mint Debian Edition intègre le dépôt multimédia par défaut, mais sans règle de priorité me semble t'il. Ce qui peut-être un peu délicat.


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 612
    • Voir le profil
    • Emmabuntüs The distribution sleek, accessible, equitable
Salut Zorzi,

Pour ma part, je viens de tester cela sur la version EmmaDE3, et cela n'a pas fonctionné, car sous Synaptic après avoir fait les mise à jour si dessous, si je fais l'actualisation des dépôts et que je demande une mise à jour je vois des paquets qui vont être mis à jour comme par exemple vlc. Avant d'avoir fait ces manips j'ai mis à jour tous les paquets donc il ne devrait pas y avoir des mises à jour.

Voila ce que j'ai fait :
- ajout dans le fichier sources.list de cette ligne : deb http://www.deb-multimedia.org buster main non-free

- création d'un fichier /etc/apt/preferences.d/50multimedia contenant cela :
Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-Priority: 100

- redémarrage de l'ordi
- lancement de synaptic
- mise à jour des dépôts dans synaptic avec le bouton recharger
- lancement de la mise à jour dans synaptic avec le bouton "Tout metttre à niveau" et là plus de 70 paquets qui veulent se mettre à jour.

Peux-tu me dire exactement ce que tu as fais, et m'envoyer un copie de ton fichier 50multimedia et les lignes que tu as ajouté dans le fichier sources.list ?

Pour moi, il n'est pas nécessaire d'ajouter la clé du dépôt deb-multimedia, celle-ci est déjà incluse dans Emmabuntüs DE 2 et 3.

Bien à toi, et bonne journée.



Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 612
    • Voir le profil
    • Emmabuntüs The distribution sleek, accessible, equitable

zorzi

  • Invité
Salut Patrick,

Je n'ai jamais rencontré ce problème avec Synaptic. Je n'ai jamais eu besoin de mettre à jour les dépôts dans synaptic. Uniquement dans le fichier sources.list.

J'ai crée le fichier préférences comme tu le mentionnes, puis un "sudo apt update".

Je t'envoie mon fichier, même s'il est identique au tien.

A bientôt.

Nicolas


zorzi

  • Invité
Bonjour,

Hier, en démarrant ma DE2, j'avais environ 70 mises à jour provenant du dépôt multimédia (cf. message de Patrick plus haut).
Stretch est passée en oldstable depuis peu. Mais le fichier paramétrage du dépôt multimédia (lire plus haut) mentionne toujours stable (donc correspondant à la nouvelle Buster), ce qui crée la pagaille.

Il faut alors adapter le fichier préférences:

sudo geany /etc/apt/preferences.d/50multimedia

et remplacer l'occurrence "stable" par "oldstable"

Package: *
Pin: release o=Unofficial Multimedia Packages,a=oldstable
Pin-Priority: 100

sauvegarder, puis quitter.

sudo apt update


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 612
    • Voir le profil
    • Emmabuntüs The distribution sleek, accessible, equitable
Bonjour Zorzi,

Peux-tu me dire sur quelle version d'EmmaDE2, tu as ce soucis ?

Pour info, sur l'EmmaDE2 1.04 nous avons ajouté ce fichier :

Package: *
Pin: release o=Unofficial Multimedia Packages,a=oldstable
Pin-Priority: 100

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-Priority: 100

Package: *
Pin: release o=Unofficial Multimedia Packages,a=testing
Pin-Priority: 100

Package: *
Pin: release o=Unofficial Multimedia Packages,a=unstable
Pin-Priority: 100

Bien à toi.


zorzi

  • Invité
Salut Patrick,

Je suis sur la DE 1.04, mais ce ne devait pas être la version définitive (avant que celle-ci n'intègre l'ajout de ton fichier qui est certes beaucoup plus pratique).

Donc ne pas tenir compte de mon précédent message.

Je vais refaire le paramétrage en reprenant tes instructions.

Merci et à bientôt.